#
# Release script for Arlo
#
$boot2nd_dir = "\\\\gandalf\\public\\spare\\DemonHomePage\\boot2nd\\latest";

print "Have you built and released boot2nd? (y/n)\n";
chop ($question = <STDIN>);
($question eq "y") or die "\nBuild boot2nd first\n";
print "Have you updated the version number and the readme? (y/n)\n";
chop ($question = <STDIN>);
($question eq "y") or die "\nWhat were you thinking! ;-)\n";

chdir "\\arlo\\app";
system "nmake -f \\arlo\\app\\arlo.marm clean";
system "nmake -f \\arlo\\app\\arlo.marm";

chdir "\\arlo\\ldd";
system "nmake -f \\arlo\\ldd\\arlo.marm clean";
system "nmake -f \\arlo\\ldd\\arlo.marm";

chdir "\\arlo\\shell";
system "nmake -f \\arlo\\shell\\arloshell.marm clean";
system "nmake -f \\arlo\\shell\\arloshell.marm";

chdir "\\arlo";

@bin_file_list = (
					"\\epoc32\\release\\marm\\rel\\arlo.ldd", 
					"\\epoc32\\release\\marm\\rel\\arlo.exe",
					"\\epoc32\\release\\marm\\rel\\arlosh.exe",
					"\\arlo\\readme.txt",
					"\\epoc32\\wins\\c\\arlo.cfg",
					"$boot2nd_dir\\boot2nd.bin",
				);

@src_file_list = (
					"\\arlo\\*.*",
					"\\arlo\\app\\*.cpp",
					"\\arlo\\app\\*.h",
					"\\arlo\\app\\*.mmp",
					"\\arlo\\boot2nd\\*.h",
					"\\arlo\\ldd\\*.cpp",
					"\\arlo\\ldd\\*.h",
					"\\arlo\\ldd\\*.mmp",
					"\\arlo\\shell\\*.cpp",
					"\\arlo\\shell\\*.mmp",
					"$boot2nd_dir\\boot2nd.tgz",
				);


#
# Concatenate all file parameters for bin.zip and verify they exist
#
foreach $file (@bin_file_list) 
{
	(-e $file) or die "$file does not exist";
	$bin_param .= $file . " ";
}

#
# Concatenate all file parameters for src.zip
#
foreach $file (@src_file_list) 
{
	$src_param .= $file . " ";
}

unlink "\\arlo.zip";
unlink "\\arlosrc.zip";

#print "bin: $bin_param\n";
#print "src: $src_param\n";
system "wzzip \\arlo.zip $bin_param";
system "wzzip \\arlosrc.zip -P $src_param -x\\arlo\\wzzip.exe";
